HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Update an add-on

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Plan ID or code. For ID no prefix is used e.g. e28zov4fw0v2. For code use prefix code-, e.g. code-gold.

string
required

Add-on ID or code. For ID no prefix is used e.g. e28zov4fw0v2. For code use prefix code-, e.g. code-gold.

Body Params

Full add-on details.

string
length ≤ 50

The unique identifier for the add-on within its plan. If an Item is associated to the AddOn then code must be absent.

string
length ≤ 255

Describes your add-on and will appear in subscribers' invoices. If an Item is associated to the AddOn then name must be absent.

float

The percentage taken of the monetary amount of usage tracked. This can be up to 4 decimal places. A value between 0.0 and 100.0. Required if add_on_type is usage, tier_type is flat and usage_type is percentage. Must be omitted otherwise.

string
enum

The type of calculation to be employed for an add-on. Cumulative billing will sum all usage records created in the current billing cycle. Last-in-period billing will apply only the most recent usage record in the billing period. If no value is specified, cumulative billing will be used.

Allowed:
string
length ≤ 13

System-generated unique identifier for a measured unit to be associated with the add-on. Either measured_unit_id or measured_unit_name are required when add_on_type is usage. If measured_unit_id and measured_unit_name are both present, measured_unit_id will be used.

string

Name of a measured unit to be associated with the add-on. Either measured_unit_id or measured_unit_name are required when add_on_type is usage. If measured_unit_id and measured_unit_name are both present, measured_unit_id will be used.

string
length ≤ 20
/^[a-z0-9_+-]+$/

Accounting code for invoice line items for this add-on. If no value is provided, it defaults to add-on's code. If an Item is associated to the AddOn then accounting code must be absent.

string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a performance obligation. Performance obligations are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
enum

When this add-on is invoiced, the line item will use this revenue schedule. If item_code/item_id is part of the request then revenue_schedule_type must be absent in the request as the value will be set from the item.

Allowed:
integer
≥ 0

Used by Avalara for Communications taxes. The transaction type in combination with the service type describe how the add-on is taxed. Refer to the documentation for more available t/s types. If an Item is associated to the AddOn, then the avalara_transaction_type must be absent.

integer
≥ 0

Used by Avalara for Communications taxes. The transaction type in combination with the service type describe how the add-on is taxed. Refer to the documentation for more available t/s types. If an Item is associated to the AddOn, then the avalara_service_type must be absent.

string
length ≤ 50

Optional field used by Avalara, Vertex, and Recurly's In-the-Box tax solution to determine taxation rules. You can pass in specific tax codes using any of these tax integrations. For Recurly's In-the-Box tax offering you can also choose to instead use simple values of unknown, physical, or digital tax codes. If an Item is associated to the AddOn then tax_code must be absent.

string
length ≤ 25
^\d+(\.\d+)*$

The Harmonized System (HS) code is an internationally standardized system of names and numbers to classify traded products. The HS code, sometimes called Commodity Code, is used by customs authorities around the world to identify products when assessing duties and taxes. The HS code may also be referred to as the tariff code or customs code. Values should contain only digits and decimals.

boolean
Defaults to false

Determines if the quantity field is displayed on the hosted pages for the add-on.

integer
Defaults to 1

Default quantity for the hosted pages.

boolean

Whether the add-on is optional for the customer to include in their purchase on the hosted payment page. If false, the add-on will be included when a subscription is created through the Recurly UI. However, the add-on will not be included when a subscription is created through the API.

currencies
array of objects
length ≥ 1

If the add-on's tier_type is tiered, volume, or stairstep,
then currencies must be absent. Must also be absent if add_on_type is
usage and usage_type is percentage.

Add-on pricing
string
required
length ≤ 3

3-letter ISO 4217 currency code.

float
0 to 1000000

Allows up to 2 decimal places. Required unless unit_amount_decimal is provided.

string
0 to 1000000

Allows up to 9 decimal places.
If unit_amount_decimal is provided, unit_amount cannot be provided.

boolean
Defaults to false
deprecated

This field is deprecated. Please do not use it.

tiers
array of objects

If the tier_type is flat, then tiers must be absent. The tiers object
must include one to many tiers with ending_quantity and unit_amount for
the desired currencies. There must be one tier without an ending_quantity value
which represents the final tier.

Tiers
percentage_tiers
array of objects

percentage_tiers is an array of objects, which must have the set of tiers
per currency and the currency code. The tier_type must be volume or tiered,
if not, it must be absent. There must be one tier without an ending_amount value
which represents the final tier. This feature is currently in development and
requires approval and enablement, please contact support.

Percentage Tiers By Currency
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json